
# TODO:
# - If you have any idea how to PLDize this program, do it:)
# - in first run eagle.key should be writable for user or use 
#   sudo /usr/lib/eagle-light/bin/eagle to change license
# - Is banner in rpm needed to introduce how to run it?

Summary:	Eagle Layout Editor
Summary(pl.UTF-8):	Edytor płytek drukowanych Eagle
Name:		eagle-light
Version:	6.4.0
Release:	1
License:	Freeware
Group:		X11/Applications/Science
Source0:	ftp://ftp.cadsoft.de/eagle/program/latest/eagle-lin-%{version}.run
# Source0-md5:	5e0b4f2864bdbc1677f2897c69ad20a0
Source1:	ftp://ftp.cadsoft.de/eagle/program/latest/elektro-tutorial.pdf
# Source1-md5:	4454bfbf5b6137d3bfb47a4cefde0630
Source2:        %{name}.desktop
URL:		http://www.cadsoft.de/freeware.htm
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _eagledir %{_libdir}/eagle-light
# binutils have problems to strip bin/eagle so need disable striping
%define no_install_post_strip 1

%description
Eagle Layout Editor. Limitations:
- The useable board area is limited to 100 x 80 mm (4 x 3.2 inches).
- Only two signal layers can be used (Top and Bottom).
- The schematic editor can only create one sheet.
To run Eagle, you need licence key. Freeware Licence key is in:
/usr/share/eagle-light/bin/

%description -l pl.UTF-8
Edytor płytek drukowanych Eagle. Ograniczenia:
- Obszar płytki jest ograniczony do 100 x 80 mm (4 x 3.2 cale)
- Tylko dwie sygnałowe warstwy mogą być używane (wierzchnia i spodnia)
- Edytor schematów może stworzyć jeden arkusz
Aby uruchomic Eagle, potrzebny jest klucz licencyjny. Klucz licencyjny
Freeware znajduje się w katalogu:
/usr/share/eagle-light/bin/

%prep
%setup -q -c -T

sh %{SOURCE0} `pwd`
mv -f eagle-%{version}/* .
rm -rf eagle-%{version}

cp -f %{SOURCE1} doc

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_eagledir}/{bin,cam,dru,lbr,projects,scr,ulp} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_pixmapsdir} \
	$RPM_BUILD_ROOT%{_desktopdir}

cp -af doc/eagle.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -af bin/eagle $RPM_BUILD_ROOT%{_eagledir}/bin
cp -af bin/eagleicon50.png $RPM_BUILD_ROOT%{_pixmapsdir}/eagle.png
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
# some doc files must be in bin dir because eagle use them internally
cp -af bin/{eagle.def,freeware.key,*.png,*.qm,*.htm} $RPM_BUILD_ROOT%{_eagledir}/bin
touch $RPM_BUILD_ROOT%{_eagledir}/bin/eagle.key
cp -arf cam/* $RPM_BUILD_ROOT%{_eagledir}/cam
cp -arf dru/* $RPM_BUILD_ROOT%{_eagledir}/dru
cp -arf lbr/* $RPM_BUILD_ROOT%{_eagledir}/lbr
cp -arf projects/* $RPM_BUILD_ROOT%{_eagledir}/projects
cp -arf scr/* $RPM_BUILD_ROOT%{_eagledir}/scr
cp -arf ulp/* $RPM_BUILD_ROOT%{_eagledir}/ulp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/UPDATE_* doc/README_* doc/library_*.txt doc/*.pdf
%{_mandir}/*
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop
%dir %{_eagledir}
%dir %{_eagledir}/bin
%attr(755,root,root) %{_eagledir}/bin/eagle
# I'm not sure that eagle.key should have 665 atributtes
#%attr(665,root,users)
%{_eagledir}/bin/eagle.key
%{_eagledir}/bin/freeware.key
%{_eagledir}/bin/eagle.def
%{_eagledir}/bin/*.png
%{_eagledir}/bin/*.htm
%lang(de) %{_eagledir}/bin/*_de.qm
# - all files should be in folders ../ to eagle binary. Stupid :/
%{_eagledir}/cam
%{_eagledir}/dru
%{_eagledir}/lbr
%{_eagledir}/projects
%{_eagledir}/scr
%{_eagledir}/ulp
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eagle-light.git;a=log;h=master

* Sun Mar 03 2013 Bartlomiej Zimon <uzi18@o2.pl> a241eac
- up to 6.4.0

* Sun Oct 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1271774
- up to 6.3.0

* Sun Jul 15 2012 Bartlomiej Zimon <uzi18@o2.pl> c09d875
- up to 6.2.0

* Sun Jul 15 2012 Bartlomiej Zimon <uzi18@o2.pl> 2421501
- add rest of png icons

* Sat Jan 07 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 90f575e
- comment to utf

* Tue Nov 25 2008 duddits <duddits@pld-linux.org> 0ff3c8a
- up to 5.3.0

* Mon Oct 20 2008 hawk <hawk@pld-linux.org> 0264fa4
- release 1

* Wed Oct 08 2008 duddits <duddits@pld-linux.org> f7045a2
- fix URL
- minor typos

* Mon Jun 23 2008 Bartłomiej Zimoń <cactus@pld-linux.org> fe582d7
- up to 5.0.0
- lang(de) files in %lang
- moved back to /usr/lib/eagle-light
- we want documentation in docs dir
- rel 0.8
- updated TODO

* Mon Jun 23 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 3c4fd92
- moving back to /usr/lib/eagle-light

* Mon Feb 18 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 0e1da1f
- updated TODO

* Mon Feb 18 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 762b846
- Propper exec file - now it is possible to launch from menu

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> a49ad3a
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Jun 03 2007 Michał Łukaszek <mlukaszek+pld@gmail.com> 178fe7b
- 4.16r2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 53dd345
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a1a9409
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 35653dd
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Thu Jun 30 2005 blekot <blekot@pld-linux.org> 4191179
- up to 4.15
- still lots to do (see TODO)

* Mon Jun 06 2005 blekot <blekot@pld-linux.org> bfda9c8
- up to 3.14
- NFY!!!

* Fri Mar 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 3963e55
- pl fixes
- broken files even more (they required rewrite anyway)
  IN NO WAY /usr CAN BE MADE WRITABLE TO USERS!

